#pragma once

#include "Application.hpp"
#include "Paddle/Paddle.hpp"
#include "Ball/Ball.hpp"
#include "Score/Score.hpp"

class FinalApplication : public Application
{
public:

	FinalApplication();
    virtual void onInit(int argc, char** argv);
    virtual void onEvent(sf::Event event, sf::RenderWindow& window);
    virtual void onUpdate(sf::Time dt);
    virtual void onDraw(sf::RenderTarget& target);

private:
	//Scores
	std::vector<Score> scores;
	//Titre
    sf::Text titre;
	//Paddles
    Paddle top;
    Paddle bottom;
	//Balle
    Ball ball;

};
