#pragma once
#include <SFML/Graphics.hpp>
#include "../Drawable/Drawable.hpp"

class Ball: public Drawable
{
	private:
		sf::Texture texture;
		sf::Sprite sprite;
		sf::Vector2f speed;
		sf::Clock clock;
		double angle;
		
		void checkWallCollisions();
		
		//std::mt19937 rand;
		
	public:
		Ball();
		void draw(sf::RenderTarget& target);
		void move();
		
		void setDirectionfromAngle(double angle);
		void paddleBounce();
		void restart();
		sf::FloatRect getBoundingBox() const;
		int out();
};

