#pragma once

#include <SFML/Graphics.hpp>
#include "../Drawable/Drawable.hpp"

class Paddle: public Drawable
{
	private:
		sf::RectangleShape rectangle;
	public:
		Paddle(double y);
		void updatePosition(double x);
		void updatePositionDelta(double delta);
		void draw(sf::RenderTarget& target);
		sf::FloatRect getBoundingBox() const;
};

